import { InitialObjectType } from '../../lib/types/Initial/Initial';
declare type Values = {
    [name: string]: InitialObjectType | string | number | boolean;
};
interface Props {
    values?: Values;
    children: (v: {
        query: object;
        setQueryField: (name: string, value: any, actionOnChange?: 'Push' | 'Replace') => void;
    }) => JSX.Element;
}
declare const LocationQuery: ({ values, children }: Props) => JSX.Element;
export default LocationQuery;
