import { InitialExtendValues, InitialExtendValue } from '../../../types/Initial/Initial';
import { UserValues } from '../../../types/User';
import { QueryValues, QueryValue } from '../../../types/Query';
import { InitialExtendValuesWrappers } from '../../../types/Initial/Wrapper';
import { Context } from '../../../context/context';
export declare const normalizeValueForUser: (value: InitialExtendValue | QueryValue | undefined, initialValue: InitialExtendValue, name: string, context: Context) => any;
export declare const normalizeForUser: (values: InitialExtendValues | QueryValues, context: Context, initialValuesWrappers?: InitialExtendValuesWrappers) => UserValues;
export declare const normalizeForUserByInitialValues: (values: InitialExtendValues | QueryValues, initialValues: InitialExtendValues, context: Context) => UserValues;
